# \hhu\z\exceptionsSubmissionNotValidException

Exception: Character submission not valid.

## Summary

Methods
Properties
Constants
__construct()
getNestedException()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$nestedException
N/A

File
  app/exceptions/SubmissionNotValidException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \hhu\z\exceptions\SubmissionNotValidException

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $nestedException

    $nestedException : \hhu\z\exceptions\Exception

Nested exception

#### Type

\hhu\z\exceptions\Exception

#

## Tags

None found

## Methods

### __construct()

    __construct(string  $nestedException, string  $message = self::MESSAGE, integer  $code = self::CODE)

Construct a new exception.

#### Parameters

string | $nestedException | Nested exception
string | $message | Error message
integer | $code | Error code

#

## Tags

None found

### getNestedException()

    getNestedException() : string

Get Nested exception.

#### Returns

string —

Nested exception

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### SubmissionNotValidException.inc